This method will look up a setting by the specified ID and return it back.
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/settings/{tenantId}
- https://collect.api.rhythmsoftware.comhttps://collect.api.rhythmsoftware.com/settings/{tenantId}
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/settings/{tenantId}?fields=string&consistentRead=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'The setting was retrieved successfully.
If true, eChecks are allowed to pay open invoices
The contact roles that are allowed to manage this scholarship
The default customer statement ID to use
The default merchant account to use when none is specified
If set, customers are able to share invoices and pay for them without logging in
HTML/text to display to administrators to help them choose the appropriate G/L information
Whether or not users should be able to see/modify G/L information while editing products
If set, users who pay for membership packages in the portal are given the option to auto renew IF and only if they do not have it set already
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
{ "allow_echecks_when_paying_open_invoices": true, "contact_role_permissions": [ { … } ], "default_customer_statement_template_id": "string", "default_merchant_account_id": "string", "disable_saving_credit_cards_when_paying_open_invoices": true, "enable_publicly_payable_invoices": true, "gl_information_guidance": "string", "modify_gl_information_during_product_editing": "disabled", "notes": "string", "payment_processor": "legacy", "prompt_for_auto_renewal_when_paying_membership_invoices": "disabled", "publicly_payable_invoice_options": { "allowed_payment_methods": "both", "site_id": "string" }, "stripe_options": { "enable_cash_app": true, "enable_link": true, "enable_paypal": true, "mode": "multiple accounts", "primary_stripe_account_id": "string" }, "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1 }